v3.2.1

V3 API will go under maintenance to prepare a new patch.

This exceptional maintenance aims to rebuild the production database as it prevents the leaderboards from updating properly at the moment, expected downtime will be around 2hours.

This maintenance will also allow us to deploy a patch for v3.2 with the following changes:

Global

~ Fixed fullResult query param not working ~ Fixed some result being camelized when they should be ignored (e.g. online players / search result) ~ playtime will now be returned as a float with 2 decimal to be more precise

Items

GET /item/database

~ Moved charm identifications from base to identifications and applied roll ranges to them.

Players

GET /player and GET /player/{username}

~ We reworked our online player list to display more accurate data and avoid online but no world players ~ We reworked the online manager to fix some edge cases issues with people with same usernames but different UUIDs both being marked as online

  • Player active character UUID in player main

Leaderboards

GET /leaderboards/{lb_type}

~ We have fixed the playtime being a string instead of a number in lb responses ~ We have fixed the error that prevented lb from correctly refreshing

Map

GET /map/locations/markers and GET /map/locations/player

In preparation for V1 sunset we have added an equivalent to getMyLocation:

~ route /map/locations was moved to /map/locations/markers

  • route /map/locations/player => will display your location alongside friends / party / guild members location if they are on the same world. The response structure is similar but not the same as the old endpoint so here is a temporary doc until docs are updated:
1[
2 {
3 "uuid": str,
4 "name": str,
5 "nickname": str,
6 "server": str,
7 "x": int,
8 "y": int,
9 "z": int,
10 "friends": [
11 {
12 "uuid": str,
13 "name": str,
14 "nickname": str,
15 "server": str,
16 "x": int,
17 "y": int,
18 "z": int
19 },
20 # [...]
21 ],
22 "party": [
23 {
24 "uuid": str,
25 "name": str,
26 "nickname": str,
27 "server": str,
28 "x": int,
29 "y": int,
30 "z": int
31 },
32 # [...]
33 ],
34 "guild": [
35 {
36 "uuid": str,
37 "name": str,
38 "nickname": str,
39 "server": str,
40 "x": int,
41 "y": int,
42 "z": int
43 },
44 # [...]
45 ]
46 },
47 # [...] Multi account case
48]

Guilds members in your party will show in party instead of guild and friends in guild or party will show in friends instead of party to match the game logic. The location will update each 15 seconds.